=== debian/control ===
Source: ros-lunar-libmavconn
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libconsole-bridge-dev, libgtest-dev, ros-lunar-catkin, ros-lunar-mavlink, ros-lunar-rosunit
Homepage: http://wiki.ros.org/mavros
Standards-Version: 3.9.2

Package: ros-lunar-libmavconn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libconsole-bridge-dev, ros-lunar-mavlink
Description: MAVLink communication library.
 This library provide unified connection handling classes and URL to connection object mapper. This library can be used in standalone programs.
